WireMock
action Wiremock

# down

Set a list of services down

Run it now
View details

Type | action
Module | chaoswm.actions
Name | down
Return | list

Usage

JSON

    {
      "name": "down",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "down",
        "arguments": {
          "filter": []
        }
      }
    }

YAML

    name: down
    provider:
      arguments:
        filter: []
      func: down
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | list |  | Yes | Filter | Add delay matching the given filters

This action adds a chunked dribble delay to the mapping as defined in the configuration section (or action attributes). It returns the list of delayed mappings.

Signature

    def down(filter: List[Any],
             configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `add_mappings`

  Adds more mappings to wiremock
- WireMock
  probe Wiremock

  ## `server_running`

  Tells if the WireMock server is running
- WireMock
  action Wiremock

  ## `fixed_delay`

  Adds a fixed delay to a list of mappings